package com.hzya.frame.sys.userModule.dao;

import com.hzya.frame.sys.userModule.entity.UserModule;
import java.util.List;

/**
 * @description: 用户菜单模块管理  dao
 * @tableName: sys_user_module 
 * @entityName: UserModule
 * @author: gjh
 * @history: 1.0
 */
public interface IUserModuleMapper {

        //通过ID获取数据    entity_get
        UserModule entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<UserModule> entity_list_base(UserModule entity);

        //  查询符合条件的数量
        Integer entity_count(UserModule entity);

        //分页查询列表 采用like格式 entity_list_like
        List<UserModule> entity_list_like(UserModule entity);

        //查询列表 字段采用or格式   entity_list_or
        List<UserModule> entity_list_or(UserModule entity);

        //新增  entity_insert
        Integer entity_insert(UserModule entity);

        //修改  entity_update
        Integer entity_update(UserModule entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(UserModule entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(UserModule entity);

        //物理删除
        Integer entity_delete(UserModule entity);


}
